
# CUSTOMIZATION-BEGIN
# ovirt_build_extra_flags
# ovirt_build_ut
%if 0%{?ovirt_build_quick}
%global _ovirt_build_ut 0
%global ovirt_build_gwt 0
%global ovirt_build_locales 0
%global __jar_repack 0
%endif
%if 0%{?ovirt_build_minimal}
%global _ovirt_build_ut 0
%global ovirt_build_locales 0
%global _ovirt_build_extra_flags -D gwt.userAgent=gecko1_8
%endif
%if 0%{!?ovirt_build_ut:1}
%if 0%{?_ovirt_build_ut:1}
%global ovirt_build_ut %{_ovirt_build_ut}
%else
%global ovirt_build_ut 1
%endif
%endif
%if 0%{!?ovirt_build_gwt:1}
%global ovirt_build_gwt 1
%endif
%if 0%{!?ovirt_build_locales:1}
%global ovirt_build_locales 1
%endif
# CUSTOMIZATION-END

# unsign all provided jars
# see rhbz#1019637
%global _jarsign_opts --unsign=/usr/share/ovirt-engine

# rpm does not support override
# nor modify of variables
%if %{?_ovirt_build_extra_flags:1}%{?ovirt_build_extra_flags:1}0
%global EXTRA_BUILD_FLAGS %{?_ovirt_build_extra_flags:%{_ovirt_build_extra_flags}}%{?ovirt_build_extra_flags: %{ovirt_build_extra_flags}}
%endif

%if 0%{?fedora}
%global ovirt_install_systemd 1
%global ovirt_install_systemv 0
%global ovirt_install_poms 1
%global ovirt_require_maven 1
%endif

%if 0%{?rhel}
%global ovirt_install_systemd 0
%global ovirt_install_systemv 1
%global ovirt_install_poms 0
%global ovirt_require_maven 0
%endif

%if "%{dist}" == ".el6rhs"
%define _rhs_build 1
%endif

%define _rhs_build 1

%if !0%{?_rhs_build}
%global ovirt_product_name Red Hat Enterprise Virtualization Manager
%global ovirt_product_name_short RHEV-M
%global ovirt_product_group Virtualization/Management
%else
%global ovirt_product_name Red Hat Storage Console
%global ovirt_product_name_short RHS-C
%global ovirt_product_group Storage/Management
%endif
%global ovirt_user_description oVirt Manager

%global engine_cache %{_localstatedir}/cache/%{engine_name}
%global engine_data %{_datadir}/%{engine_name}
%global engine_doc %{_docdir}/%{engine_name}
%global engine_ear %{engine_data}/engine.ear
%global engine_etc %{_sysconfdir}/%{engine_name}
%global engine_java %{_javadir}/%{engine_name}
%global engine_jboss_modules %{engine_data}/modules
%global engine_log %{_localstatedir}/log/%{engine_name}
%global engine_name ovirt-engine
%global engine_pki %{_sysconfdir}/pki/%{engine_name}
%global engine_restapi_war %{engine_ear}/restapi.war
%global engine_run %{_localstatedir}/run/%{engine_name}
%global engine_state %{_localstatedir}/lib/%{engine_name}
%global engine_tmp %{_localstatedir}/tmp/%{engine_name}

%global engine_gid 108
%global engine_group ovirt
%global engine_uid 108
%global engine_user ovirt
%if !0%{?_rhs_build}
%global vdsm_description Node Virtualization Manager
%else
%global vdsm_description Node Storage Manager
%endif
%global vdsm_gid 36
%global vdsm_group kvm
%global vdsm_uid 36
%global vdsm_user vdsm

# Macro to create an user:
# %1 user name
# %2 user id
# %3 primary group name
# %4 primary group id
# %5 description
# %6 home directory
%global _ovirt_create_user() \
getent group %3 >/dev/null || groupadd -r -g %4 %3; \
getent passwd %1 >/dev/null || useradd -r -u %2 -g %3 -c %5 -s /sbin/nologin -d %6 %1

%global ovirt_create_user_engine \
%_ovirt_create_user %{engine_user} %{engine_uid} %{engine_group} %{engine_gid} "%{ovirt_user_description}" %{engine_state}

%global ovirt_create_user_vdsm \
%_ovirt_create_user %{vdsm_user} %{vdsm_uid} %{vdsm_group} %{vdsm_gid} "%{vdsm_description}" /var/lib/vdsm

%global make_common_opts \\\
	-j1 \\\
	BUILD_GWT=%{ovirt_build_gwt} \\\
	BUILD_LOCALES=%{ovirt_build_locales} \\\
	BUILD_UT=%{ovirt_build_ut} \\\
	PACKAGE_NAME=%{name} \\\
	RPM_VERSION=%{version} \\\
	RPM_RELEASE=%{release} \\\
	DISPLAY_VERSION=%{version}-%{release} \\\
	ENGINE_NAME=%{engine_name} \\\
	LOCALSTATE_DIR=%{_localstatedir} \\\
	PREFIX=%{_prefix} \\\
	SYSCONF_DIR=%{_sysconfdir} \\\
	BIN_DIR=%{_bindir} \\\
	PID_DIR=%{_localstatedir}/run \\\
	DATAROOT_DIR=%{_datadir} \\\
	MAN_DIR=%{_mandir} \\\
	DOC_DIR=%{_docdir} \\\
	PYTHON=%{__python} \\\
	PYTHON_DIR=%{python_sitelib} \\\
	JAVA_DIR=%{_javadir} \\\
	MAVENPOM_DIR=%{_mavenpomdir} \\\
	PKG_SYSCONF_DIR=%{engine_etc} \\\
	PKG_DOC_DIR=%{engine_doc} \\\
	PKG_EAR_DIR=%{engine_ear} \\\
	PKG_PKI_DIR=%{engine_pki} \\\
	PKG_JBOSS_MODULES=%{engine_jboss_modules} \\\
	PKG_CACHE_DIR=%{engine_cache} \\\
	PKG_LOG_DIR=%{engine_log} \\\
	PKG_TMP_DIR=%{engine_tmp} \\\
	PKG_STATE_DIR=%{engine_state} \\\
	PKG_USER=%{engine_user} \\\
	PKG_GROUP=%{engine_group} \\\
	MVN=true \\\
	JBOSS_HOME=/usr/share/jbossas \\\
	MAVEN_OUTPUT_DIR=%{_sourcedir} \\\
	%{?EXTRA_BUILD_FLAGS:EXTRA_BUILD_FLAGS="%{EXTRA_BUILD_FLAGS}"}

%if !0%{?_rhs_build}
Name:		rhevm
%else
Name:		rhsc
%endif
Version:	2.1.2
Release:	0.36%{?dist}
%if !0%{?_rhs_build}
Summary:	Management server for Open Virtualization
%else
Summary:	Management server for Storage
%endif
Group:		%{ovirt_product_group}
License:	ASL 2.0
%if !0%{?_rhs_build}
URL:		http://www.redhat.com/products/virtualization
%else
URL:		http://www.redhat.com/products/storage
%endif

# Acquire brew/mead pre-built resources.
Source0: root-2.1.0-scm-sources.zip
Source1: uicompat-2.1.0-tests.jar
Source2: uicompat-2.1.0.pom
Source3: uicompat-2.1.0.jar
Source4: webadmin-2.1.0.pom
Source5: webadmin-2.1.0.war
Source6: webadmin-modules-2.1.0.pom
Source7: uicommonweb-2.1.0-tests.jar
Source8: uicommonweb-2.1.0.jar
Source9: uicommonweb-2.1.0-sources.jar
Source10: uicommonweb-2.1.0.pom
Source11: gwt-extension-2.1.0-sources.jar
Source12: gwt-extension-2.1.0.pom
Source13: gwt-extension-2.1.0.jar
Source14: gwt-extension-2.1.0-tests.jar
Source15: userportal-2.1.0.war
Source16: userportal-2.1.0.pom
Source17: frontend-all-2.1.0.pom
Source18: frontend-2.1.0-tests.jar
Source19: frontend-2.1.0.pom
Source20: frontend-2.1.0.jar
Source21: gwt-common-2.1.0-tests.jar
Source22: gwt-common-2.1.0.pom
Source23: gwt-common-2.1.0.jar
Source24: webadmin-all-2.1.0.pom
Source25: build-tools-root-2.1.0.pom
Source26: interface-2.1.0.pom
Source27: restapi-types-2.1.0.jar
Source28: restapi-types-2.1.0-tests.jar
Source29: restapi-types-2.1.0.pom
Source30: common-parent-2.1.0.pom
Source31: restapi-definition-2.1.0.pom
Source32: restapi-definition-2.1.0.jar
Source33: restapi-definition-2.1.0-tests.jar
Source34: restapi-jaxrs-2.1.0.jar
Source35: restapi-jaxrs-2.1.0-tests.jar
Source36: restapi-jaxrs-2.1.0.pom
Source37: interface-common-jaxrs-2.1.0-tests.jar
Source38: interface-common-jaxrs-2.1.0.pom
Source39: interface-common-jaxrs-2.1.0.jar
Source40: restapi-webapp-2.1.0.pom
Source41: restapi-webapp-2.1.0.war
Source42: restapi-parent-2.1.0.pom
Source43: vdsbroker-2.1.0.jar
Source44: vdsbroker-2.1.0.pom
Source45: vdsbroker-2.1.0-tests.jar
Source46: utils-2.1.0.pom
Source47: utils-2.1.0-modules.zip
Source48: utils-2.1.0.jar
Source49: utils-2.1.0-tests.jar
Source50: dependencies-2.1.0-tests.jar
Source51: dependencies-2.1.0-modules.zip
Source52: dependencies-2.1.0.jar
Source53: dependencies-2.1.0.pom
Source54: tools-2.1.0-tests.jar
Source55: tools-2.1.0.pom
Source56: tools-2.1.0.jar
Source57: tools-2.1.0-modules.zip
Source58: branding-2.1.0.jar
Source59: branding-2.1.0.pom
Source60: branding-2.1.0-tests.jar
Source61: bll-2.1.0-client.jar
Source62: bll-2.1.0.jar
Source63: bll-2.1.0.pom
Source64: searchbackend-2.1.0-modules.zip
Source65: searchbackend-2.1.0-tests.jar
Source66: searchbackend-2.1.0.pom
Source67: searchbackend-2.1.0-sources.jar
Source68: searchbackend-2.1.0.jar
Source69: manager-2.1.0.pom
Source70: scheduler-2.1.0-client.jar
Source71: scheduler-2.1.0.jar
Source72: scheduler-2.1.0.pom
Source73: dal-2.1.0.jar
Source74: dal-2.1.0-modules.zip
Source75: dal-2.1.0.pom
Source76: dal-2.1.0-tests.jar
Source77: backend-2.1.0.pom
Source78: manager-modules-2.1.0.pom
Source79: common-2.1.0.pom
Source80: common-2.1.0-tests.jar
Source81: common-2.1.0-sources.jar
Source82: common-2.1.0-modules.zip
Source83: common-2.1.0.jar
Source84: root-war-2.1.0.war
Source85: root-war-2.1.0.pom
Source86: compat-2.1.0.pom
Source87: compat-2.1.0-tests.jar
Source88: compat-2.1.0-modules.zip
Source89: compat-2.1.0.jar
Source90: compat-2.1.0-sources.jar
Source91: engine-server-ear-2.1.0.pom
Source92: engine-server-ear-2.1.0.ear
Source93: checkstyles-2.1.0.jar
Source94: checkstyles-2.1.0.pom
Source95: checkstyles-2.1.0-tests.jar
Source96: root-2.1.0.pom
Source97: jboss-modules-maven-plugin-1.0.pom
Source98: jboss-modules-maven-plugin-1.0-tests.jar
Source99: jboss-modules-maven-plugin-1.0.jar
Source100: ovirt-checkstyle-extension-2.1.0-tests.jar
Source101: ovirt-checkstyle-extension-2.1.0.jar
Source102: ovirt-checkstyle-extension-2.1.0.pom

BuildArch:	noarch

BuildRequires:	java-devel
BuildRequires:	jpackage-utils
BuildRequires:	make
%if %{ovirt_require_maven}
BuildRequires:	maven
%endif
BuildRequires:	unzip

Requires:	%{name}-backend = %{version}-%{release}
Requires:	%{name}-cli >= 2.1.2.2-1
Requires:	%{name}-dbscripts = %{version}-%{release}
Requires:	%{name}-restapi = %{version}-%{release}
Requires:	%{name}-tools = %{version}-%{release}
%if !0%{?_rhs_build}
Requires:	%{name}-userportal = %{version}-%{release}
%endif
Requires:	%{name}-webadmin-portal = %{version}-%{release}
%if !0%{?_rhs_build}
Requires:	%{name}-websocket-proxy >= %{version}-%{release}
%endif
Requires:	rhevm-dependencies >= 3.3.4
Requires:	java
Requires:	java-1.7.0-openjdk >= 1:1.7.0.9-2.3.3.2
Requires:	jpackage-utils
%if !0%{?_rhs_build}
Requires:	rhevm-image-uploader >= 3.3.0
Requires:	rhevm-iso-uploader >= 3.3.0
Requires:	rhevm-log-collector >= 3.3.0
%else
Requires:	rhsc-log-collector >= 2.1
%endif
Requires:	postgresql-server >= 8.4.7
Requires:	ws-commons-util
Requires:	yum-plugin-versionlock

%if 0%{?fedora}
%if %{fedora} >= 19
Requires:	apache-commons-compress
Requires:	apache-commons-configuration
Requires:	apache-commons-jxpath
Requires:	apache-sshd
Requires:	jakarta-commons-httpclient
Requires:	objectweb-asm
Requires:	postgresql-jdbc
Requires:	quartz
Requires:	spring-ldap
Requires:	springframework-aop
Requires:	springframework-beans
Requires:	springframework-context
Requires:	springframework-expression
Requires:	springframework-instrument
Requires:	springframework-jdbc
Requires:	springframework-tx
Requires:	xmlrpc-client
%endif
%endif

# We can't require exactly the same version and release of the
# setup package because it needs to be updated independely as part
# of the update process implemented in the engine-upgrade script:
Requires:	%{name}-setup >= %{version}-%{release}

# rhbz#1028966
Conflicts:	java-1.7.0-openjdk = 1:1.7.0.45-2.4.3.3.el6

# We can drop these conflicts when
# we drop Requires: mod_ssl
Conflicts:	freeipa-server
Conflicts:	ipa-server

%if %{ovirt_install_systemd}
BuildRequires:	systemd
%endif

# jboss-eap-6.1.0
Requires:	jbossas-standalone >= 0:7.2.0
Requires:	jbossas-bundles >= 0:7.2.0
Requires:	jbossas-modules-eap >= 0:7.2.0

# misc packages
%if !0%{?_rhs_build}
Requires:	rhev-guest-tools-iso
Requires:	%{name}-spice-client-x64-cab
Requires:	%{name}-spice-client-x64-msi
Requires:	%{name}-spice-client-x86-cab
Requires:	%{name}-spice-client-x86-msi
Requires:	virtio-win >= 1.6.6-1
Requires:	redhat-support-plugin-rhev >= 3.3.0-13
%endif
Requires:	%{name}-doc 

%if !0%{?_rhs_build}
%description
Red Hat Enterprise Virtualization is a feature-rich server virtualization management
system that provides advanced capabilities for managing Red Hat
virtualization infrastructure for Servers and Desktops.
%else
%description
Red Hat Storage Console is a feature-rich storage management
system that provides advanced capabilities for managing Red Hat
storage servers.
%endif

%package lib
Summary:	%{ovirt_product_name_short} library
Group:		%{ovirt_product_group}
Requires:	python-daemon

%description lib
%{ovirt_product_name_short} library

%package backend
Summary:	Engine core of %{ovirt_product_name_short}
Group:		%{ovirt_product_group}
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-lib >= %{version}-%{release}
Requires:	httpd
Requires:	java
Requires:	logrotate
Requires:	mod_ssl
%if !0%{?_rhs_build}
Requires:	novnc
%endif
Requires:	openssl
Requires:	ovirt-host-deploy-java >= 1.1.2-1
Requires:	python-cheetah
%if !0%{?_rhs_build}
Requires:	spice-html5
Requires:	rhevm-branding-rhev >= 3.3.0-1.2
%endif
%if 0%{?_rhs_build}
Requires:	rhsc-branding-rhs >= 2.1.2-6.0
%endif

%if %{ovirt_install_systemd}
Requires(post):		systemd
Requires(preun):	systemd
Requires(postun):	systemd
%endif

%pre backend
%ovirt_create_user_engine

%post backend

# ovirt-engine<=3.2 created files at /usr among
# others are the jboss index files.
# we must remove these or application will not start.
# TODO: remove in 3.4
find "%{engine_data}" -name '*.index' -exec rm "{}" \; || true

%if %{ovirt_install_systemd}
%systemd_post ovirt-engine.service

# In 3.2 installations we did not handle postun section correctly.
# It means that the systemd daemon is not reloaded when 3.2 package
# is upgraded. This leads to an 'unstartable' ovirt-engine service
# when we upgrade to 3.3. As such, during the upgrade to 3.3 we need to
# reload the systemd daemon.
# TODO: remove in 3.4
if [ $1 -eq 2 ] ; then
	%systemd_postun
fi
%endif

%preun backend
%if %{ovirt_install_systemd}
%systemd_preun ovirt-engine.service
%endif

%if %{ovirt_install_systemv}
if [ $1 -eq 0 ]; then
	service ovirt-engine stop > /dev/null 2>&1 || true
fi
%endif

%postun backend
%if %{ovirt_install_systemd}
%systemd_postun ovirt-engine.service
%endif

%description backend
The backend engine of %{ovirt_product_name_short}

%package restapi
Summary:	RESTful API for %{ovirt_product_name_short}
Group:		%{ovirt_product_group}
Requires:	%{name} = %{version}-%{release}

%description restapi
The RESTful API for %{ovirt_product_name_short}

%post restapi
%if %{ovirt_install_poms}
%update_maven_depmap
%endif

%postun restapi
%if %{ovirt_install_poms}
%update_maven_depmap
%endif

%package setup
Summary:	Setup and upgrade scripts for %{ovirt_product_name_short}
Group:		%{ovirt_product_group}
Requires:	%{name}
Requires:	%{name}-lib >= %{version}-%{release}
Requires:	bind-utils
Requires:	cracklib-python
Requires:	iproute
Requires:	libselinux-python
Requires:	libxml2-python
Requires:	logrotate
Requires:	m2crypto
Requires:	nfs-utils
Requires:	otopi >= 1.1.2-1
Requires:	policycoreutils-python
Requires:	python-psycopg2
Requires:	yum

# We can drop these conflicts when
# we drop Requires: mod_ssl
# conflict here so we can avoid upgrade
# of setup at this environment, this
# will produce early error.
Conflicts:	ipa-server
Conflicts:	freeipa-server

Requires:	rhevm-setup-plugins >= 3.3.0-2
%if !0%{?_rhs_build}
Requires:	redhat-support-plugin-rhev >= 3.3.0-13
%else
Requires:	redhat-access-plugin-rhsc
%endif

%description setup
Setup and upgrade scripts for %{ovirt_product_name_short}

%pre setup
%ovirt_create_user_vdsm
%ovirt_create_user_engine

%package dbscripts
Summary:	Database scripts for %{ovirt_product_name_short}
Group:		%{ovirt_product_group}
Requires:	%{name} = %{version}-%{release}

%description dbscripts
Database scripts for %{ovirt_product_name_short}

%if !0%{?_rhs_build}
%package userportal
Summary:	User Portal of %{ovirt_product_name_short}
Group:		%{ovirt_product_group}
Requires:	%{name} = %{version}-%{release}

%description userportal
The user portal interface to %{ovirt_product_name_short}
%endif

%package webadmin-portal
Summary:	Web Admin Portal of %{ovirt_product_name_short}
Group:		%{ovirt_product_group}
Requires:	%{name} = %{version}-%{release}

%description webadmin-portal
The web administration interface to %{ovirt_product_name_short}

%package tools
Summary:	%{ovirt_product_name_short} Tools
Group:		%{ovirt_product_group}
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-lib >= %{version}-%{release}
Requires:	java
Requires:	logrotate

%if %{ovirt_install_systemd}
Requires(post):		systemd
Requires(preun):	systemd
Requires(postun):	systemd
%endif

# Legacy
Obsoletes:	%{name}-config < 3.3.0
Obsoletes:	%{name}-genericapi < 3.3.0
Obsoletes:	%{name}-notification-service < 3.3.0
Obsoletes:	%{name}-tools-common < 3.3.0
Provides:	%{name}-config = %{version}-%{release}
Provides:	%{name}-genericapi = %{version}-%{release}
Provides:	%{name}-notification-service = %{version}-%{release}
Provides:	%{name}-tools-common = %{version}-%{release}

%description tools
%{ovirt_product_name_short} Tools

%pre tools
%ovirt_create_user_engine

%post tools
%if %{ovirt_install_systemd}
%systemd_post ovirt-engine-notifier.service
%endif
%if %{ovirt_install_poms}
%update_maven_depmap
%endif

%postun tools
%if %{ovirt_install_systemd}
%systemd_postun ovirt-engine-notifier.service
%endif
%if %{ovirt_install_poms}
%update_maven_depmap
%endif

%preun tools
%if %{ovirt_install_systemd}
%systemd_preun ovirt-engine-notifier.service
%endif

%if %{ovirt_install_systemv}
if [ $1 -eq 0 ]; then
	service ovirt-engine-notifier stop > /dev/null 2>&1 || true
fi
%endif

%if !0%{?_rhs_build}
%package websocket-proxy
Summary:	%{ovirt_product_name_short} Websocket Proxy
Group:		%{ovirt_product_group}
Requires:	%{name}-lib >= %{version}-%{release}
Requires:	m2crypto
Requires:	python-websockify

%if %{ovirt_install_systemd}
Requires(post):		systemd
Requires(preun):	systemd
Requires(postun):	systemd
%endif

%description websocket-proxy
%{ovirt_product_name_short} Websocket Proxy

%pre websocket-proxy
%ovirt_create_user_engine

%post websocket-proxy
%if %{ovirt_install_systemd}
%systemd_post ovirt-websocket-proxy.service
%endif

%postun websocket-proxy
%if %{ovirt_install_systemd}
%systemd_postun ovirt-websocket-proxy.service
%endif

%preun websocket-proxy
%if %{ovirt_install_systemd}
%systemd_preun ovirt-websocket-proxy.service
%endif

%if %{ovirt_install_systemv}
if [ $1 -eq 0 ]; then
	service ovirt-websocket-proxy stop > /dev/null 2>&1 || true
fi
%endif
%endif

%if !0%{?_rhs_build}
%package setup-plugin-allinone
Summary:	All-in-one plugin for %{ovirt_product_name_short}'s setup
Group:		%{ovirt_product_group}
Requires:	%{name}-sdk-python >= 3.3.0.5
Requires:	%{name}-setup >= %{version}-%{release}
Requires:	openssh-server
Requires:	ovirt-host-deploy >= 1.1.2-1
Requires:	ovirt-host-deploy-offline >= 1.1.2-1

%description setup-plugin-allinone
All-in-one plugin for %{ovirt_product_name_short}'s setup
%endif

%prep
# Collect brew/mead binary artifacts
%setup -q -T -b 0 -n rhs-engine

%build
make %{make_common_opts}

%install
rm -fr "%{buildroot}"
make %{make_common_opts} install DESTDIR="%{buildroot}"

#
# /var creation
#
install -dm 755 "%{buildroot}/%{engine_state}"/{deployments,content,setup/answers}
install -dm 755 "%{buildroot}/%{engine_log}"/{host-deploy,setup,notifier,engine-manage-domains,dump}
install -dm 755 "%{buildroot}/%{engine_cache}"
install -dm 755 "%{buildroot}/%{engine_run}/notifier"

#
# Force TLS/SSL for selected applications.
#
%if !0%{?_rhs_build}
wars=("restapi" "userportal" "webadmin")
%else
wars=("restapi" "webadmin")
rm -f %{buildroot}%{engine_etc}/usbfilter.txt
rm -fr %{buildroot}%{engine_ear}/userportal.war
rm -fr %{buildroot}%{engine_etc}/ovirt-websocket-proxy.conf.d
%endif

for war in ${wars[@]}; do
	sed -i \
		's#<transport-guarantee>NONE</transport-guarantee>#<transport-guarantee>CONFIDENTIAL</transport-guarantee>#' \
		"%{buildroot}%{engine_ear}/${war}.war/WEB-INF/web.xml"
done

#
# Move jars to destribution location
#
install -dm 755 "%{buildroot}%{engine_java}"
while read lib_path; do
	java_path="%{engine_java}/$(basename "${lib_path}")"
	mv "%{buildroot}/${lib_path}" "%{buildroot}/${java_path}"
	ln -s "${java_path}" "%{buildroot}${lib_path}"
done << __EOF__
%{engine_ear}/bll.jar
%{engine_ear}/lib/vdsbroker.jar
%{engine_ear}/scheduler.jar
%{engine_jboss_modules}/org/ovirt/engine/core/common/main/common.jar
%{engine_jboss_modules}/org/ovirt/engine/core/compat/main/compat.jar
%{engine_jboss_modules}/org/ovirt/engine/core/dal/main/dal.jar
%{engine_jboss_modules}/org/ovirt/engine/core/searchbackend/main/searchbackend.jar
%{engine_jboss_modules}/org/ovirt/engine/core/tools/main/tools.jar
%{engine_jboss_modules}/org/ovirt/engine/core/utils/main/utils.jar
%{engine_restapi_war}/WEB-INF/lib/interface-common-jaxrs.jar
%{engine_restapi_war}/WEB-INF/lib/restapi-definition.jar
%{engine_restapi_war}/WEB-INF/lib/restapi-jaxrs.jar
%{engine_restapi_war}/WEB-INF/lib/restapi-types.jar
__EOF__

# Needed for compatibility if package is different than the directory structure
%if "%{name}" != "%{engine_name}"
ln -s "%{engine_name}" "%{buildroot}%{engine_java}/../%{name}"
%endif

#
# Register poms
#
%if !%{ovirt_install_poms}
rm -fr "%{buildroot}%{_mavenpomdir}"
%else
for pom in %{buildroot}%{_mavenpomdir}/*.pom; do
	pomdir="$(dirname "${pom}")"
	pom="$(basename "${pom}")"
	jpppom="JPP.${pom}"
	mv "${pomdir}/${pom}" "${pomdir}/${jpppom}"
	artifact_id="$(echo "${pom}" | sed -e 's/^%{name}-//' -e 's/\.pom//')"
	if [ -f "%{buildroot}%{engine_java}/${artifact_id}.jar" ]; then
		%add_maven_depmap "${jpppom}" "%{name}/${artifact_id}.jar"
	else
		%add_maven_depmap "${jpppom}"
	fi
done
%endif

#
# Link dependencies to system provided
#
while read dst src; do
	[ -z "${dst}" ] && continue
	[ -z "${src}" ] && src="$(basename "${dst}")"

	dst="%{engine_jboss_modules}/${dst}"
	src="%{_javadir}/${src}"
	rm -f "%{buildroot}${dst}"
	ln -s "${src}" "%{buildroot}${dst}"
done << __EOF__
org/apache/ws/commons/main/ws-commons-util.jar
org/ovirt/otopi/main/otopi.jar otopi/otopi.jar
org/ovirt/ovirt-host-deploy/main/ovirt-host-deploy.jar ovirt-host-deploy/ovirt-host-deploy.jar
%if 0%{?fedora}
%if %{fedora} >= 19
com/mchange/c3p0/main/c3p0.jar
org/aopalliance/main/aopalliance.jar
org/apache/commons/compress/main/commons-compress.jar
org/apache/commons/configuration/main/commons-configuration.jar commons-configuration.jar
org/apache/commons/httpclient/main/commons-httpclient.jar
org/apache/commons/jxpath/main/commons-jxpath.jar commons-jxpath.jar
org/apache/mina/main/mina-core.jar apache-mina/mina-core.jar
org/apache/xmlrpc/main/xmlrpc-client.jar
org/apache/xmlrpc/main/xmlrpc-common.jar
org/postgresql/main/postgresql.jar postgresql-jdbc.jar
org/quartz/main/quartz.jar
org/springframework/main/spring-aop.jar springframework/spring-aop.jar
org/springframework/main/spring-asm.jar objectweb-asm/asm.jar
org/springframework/main/spring-beans.jar springframework/spring-beans.jar
org/springframework/main/spring-context.jar springframework/spring-context.jar
org/springframework/main/spring-core.jar springframework/spring-core.jar
org/springframework/main/spring-expression.jar springframework/spring-expression.jar
org/springframework/main/spring-instrument.jar springframework/spring-instrument.jar
org/springframework/main/spring-jdbc.jar springframework/spring-jdbc.jar
org/springframework/main/spring-ldap-core.jar spring-ldap/spring-ldap-core.jar
org/springframework/main/spring-tx.jar springframework/spring-tx.jar
org/tukaani/xz/main/xz.jar
%endif
%endif
../engine.ear/webadmin.war/WEB-INF/lib/gwt-servlet.jar rhevm-dependencies/3.3/gwt-servlet.jar
com/mchange/c3p0/main/c3p0.jar rhevm-dependencies/3.3/c3p0.jar
com/woorea/openstack/sdk/main/glance-client.jar rhevm-dependencies/3.3/glance-client.jar
com/woorea/openstack/sdk/main/glance-model.jar rhevm-dependencies/3.3/glance-model.jar
com/woorea/openstack/sdk/main/keystone-client.jar rhevm-dependencies/3.3/keystone-client.jar
com/woorea/openstack/sdk/main/keystone-model.jar rhevm-dependencies/3.3/keystone-model.jar
com/woorea/openstack/sdk/main/openstack-client.jar rhevm-dependencies/3.3/openstack-client.jar
com/woorea/openstack/sdk/main/quantum-client.jar rhevm-dependencies/3.3/quantum-client.jar
com/woorea/openstack/sdk/main/quantum-model.jar rhevm-dependencies/3.3/quantum-model.jar
com/woorea/openstack/sdk/main/resteasy-connector.jar rhevm-dependencies/3.3/resteasy-connector.jar
org/aopalliance/main/aopalliance.jar rhevm-dependencies/3.3/aopalliance.jar
org/apache/commons/compress/main/commons-compress.jar rhevm-dependencies/3.3/commons-compress.jar
org/apache/commons/configuration/main/commons-configuration.jar rhevm-dependencies/3.3/commons-configuration.jar
org/apache/commons/httpclient/main/commons-httpclient.jar rhevm-dependencies/3.3/commons-httpclient.jar
org/apache/commons/jxpath/main/commons-jxpath.jar rhevm-dependencies/3.3/commons-jxpath.jar
org/apache/mina/main/mina-core.jar rhevm-dependencies/3.3/mina-core.jar
org/apache/sshd/main/sshd-core.jar rhevm-dependencies/3.3/sshd-core.jar
org/apache/xmlrpc/main/xmlrpc-client.jar rhevm-dependencies/3.3/xmlrpc-client.jar
org/apache/xmlrpc/main/xmlrpc-common.jar rhevm-dependencies/3.3/xmlrpc-common.jar
org/postgresql/main/postgresql.jar rhevm-dependencies/3.3/postgresql-jdbc.jar
org/quartz/main/quartz.jar rhevm-dependencies/3.3/quartz.jar
org/springframework/main/spring-aop.jar rhevm-dependencies/3.3/spring-aop.jar
org/springframework/main/spring-asm.jar rhevm-dependencies/3.3/spring-asm.jar
org/springframework/main/spring-beans.jar rhevm-dependencies/3.3/spring-beans.jar
org/springframework/main/spring-context.jar rhevm-dependencies/3.3/spring-context.jar
org/springframework/main/spring-core.jar rhevm-dependencies/3.3/spring-core.jar
org/springframework/main/spring-expression.jar rhevm-dependencies/3.3/spring-expression.jar
org/springframework/main/spring-instrument.jar rhevm-dependencies/3.3/spring-instrument.jar
org/springframework/main/spring-jdbc.jar rhevm-dependencies/3.3/spring-jdbc.jar
org/springframework/main/spring-ldap-core.jar rhevm-dependencies/3.3/spring-ldap-core.jar
org/springframework/main/spring-tx.jar rhevm-dependencies/3.3/spring-tx.jar
org/tukaani/xz/main/xz.jar rhevm-dependencies/3.3/xz.jar
__EOF__

#
# Register services
#
%if !0%{?_rhs_build}
servicelist=(ovirt-engine ovirt-engine-notifier ovirt-websocket-proxy)
%else
servicelist=(ovirt-engine ovirt-engine-notifier)
rm -fr %{buildroot}%{engine_data}/services/ovirt-websocket-proxy
%endif

%if %{ovirt_install_systemd}
install -dm 755 "%{buildroot}%{_unitdir}"
for service in ${servicelist[@]}; do
	cp "%{buildroot}%{engine_data}/services/${service}/${service}.systemd" "%{buildroot}%{_unitdir}/${service}.service"
done
%endif

%if %{ovirt_install_systemv}
install -dm 755 "%{buildroot}%{_initddir}"
for service in ${servicelist[@]}; do
	cp "%{buildroot}%{engine_data}/services/${service}/${service}.sysv" "%{buildroot}%{_initddir}/${service}"
done
%endif

#
# Package customization
#
install -d "%{buildroot}%{_sysconfdir}/ovirt-engine-setup.conf.d"
cat > "%{buildroot}%{_sysconfdir}/ovirt-engine-setup.conf.d/10-packaging.conf" << __EOF__
[environment:default]
OVESETUP_APACHE/configureRootRedirectionDefault=bool:True
OVESETUP_CONFIG/jbossHome=str:/usr/share/jbossas
OVESETUP_CONFIG/validFirewallManagers=str:iptables
__EOF__
%if !0%{?_rhs_build}
cat > "%{buildroot}%{_sysconfdir}/ovirt-engine-setup.conf.d/10-packaging-aio.conf" << __EOF__
[environment:default]
OVESETUP_AIO/enable=bool:True
__EOF__
install -d "%{buildroot}%{_sysconfdir}/ovirt-host-deploy.conf.d"
cat > "%{buildroot}%{_sysconfdir}/ovirt-host-deploy.conf.d/10-packaging-aio.conf" << __EOF__
[environment:default]
VDSM/disableNetworkManager=bool:False
__EOF__
%else
rm -fr %{buildroot}%{engine_data}/firewalld/aio
#fix bz#1040960
cat > "%{buildroot}%{_sysconfdir}/ovirt-engine-setup.conf.d/20-rhsc-packaging.conf" << __EOF__
[environment:default]
OVESETUP_SYSTEM/configureRedhatSupportPlugin=bool:False
__EOF__
%endif

ln -s /usr/share/spice "%{buildroot}%{engine_data}/files/spice"

#
# backward compatibly (pre-3.3.0)
# force rpm not to remove config files
# as these used to be %config
# these files are created empty in order to mark
# them as %ghost
#
touch "%{buildroot}%{engine_etc}/engine.conf"
touch "%{buildroot}%{engine_etc}/notifier/notifier.conf"
touch "%{buildroot}%{engine_pki}/cacert.template"
touch "%{buildroot}%{engine_pki}/cert.template"
touch "%{buildroot}%{engine_pki}/database.txt"
touch "%{buildroot}%{engine_pki}/serial.txt"
install -d "%{buildroot}%{_sysconfdir}/firewalld/services"
touch "%{buildroot}%{_sysconfdir}/firewalld/services/ovirt.xml"

#
# unsign ear
# see rhbz#1019637
# copied from redhat-rpm-config::brp-jboss-sign-jars::unsign_jarfile
#
rm -f "%{buildroot}%{engine_ear}/META-INF"/*.{DSA,RSA,SF}
perl -i -pe 'BEGIN{undef $/;} s/Name: [^\n]+\n( [^\n]+\n)*([^\s]+-Digest: [^\n]+\n(\s)?)+(Magic: [^\n]+\n)?\n//mgs' "%{buildroot}%{engine_ear}/META-INF/MANIFEST.MF"
perl -i -pe 's/^SHA1-Digest: [^\n]+\n//g' "%{buildroot}%{engine_ear}/META-INF/MANIFEST.MF"

#
# Branding
#
# this cannot be at rhevm-branding-rhev as
# required for %{name}-setup for example and because
# of versionlock we will have conflicts with previous
ln -sf ovirt-engine "%{buildroot}%{_sysconfdir}/%{name}"
for f in setup upgrade check-update cleanup config manage-domains; do
	ln -sf "engine-${f}" "%{buildroot}%{_bindir}/%{name}-${f}"
done
for n in setup config manage-domains; do
	echo ".so man8/engine-${n}.8" > "%{buildroot}%{_mandir}/man8/%{name}-${n}.8"
	chmod 0644 "%{buildroot}%{_mandir}/man8/%{name}-${n}.8"
done

# fix bz#1017653
%if 0%{?_rhs_build}
ln -fs engine-upgrade-check %{buildroot}%{_bindir}/%{name}-upgrade-check
%endif

%preun
if [ "$1" -eq 0 ]; then
	#
	# backup pki dir into the backup dir with current date
	#
	if [ -d "%{engine_pki}" ]; then
		dest="%{engine_pki}/../%{engine_name}-backups/%{engine_name}-$(date +"%%Y%%m%%d%%H%%M%%S")"
		mkdir -p "${dest}"
		cp -pR "%{engine_pki}" "${dest}"
	fi
fi

%post
%if %{ovirt_install_poms}
%update_maven_depmap
%endif

%postun
if [ "$1" -eq 0 ]; then
	rm -rf "%{engine_cache}"
	rm -rf "%{engine_pki}"

	if [ -f "%{_sysconfdir}/yum/pluginconf.d/versionlock.list" ]; then
		sed -i '/%{name}/d' "%{_sysconfdir}/yum/pluginconf.d/versionlock.list"
	fi
fi
%if %{ovirt_install_poms}
%update_maven_depmap
%endif

%pre
%ovirt_create_user_engine

%files

%dir %attr(-, %{engine_user}, %{engine_group}) %{engine_cache}
%dir %attr(-, %{engine_user}, %{engine_group}) %{engine_log}
%dir %attr(-, %{engine_user}, %{engine_group}) %{engine_log}/dump
%dir %{engine_data}
%dir %{engine_data}/bin
%dir %{engine_data}/branding
%dir %{engine_data}/conf
%dir %{engine_data}/engine.ear
%dir %{engine_data}/services
%dir %{engine_etc}
%dir %{engine_etc}/branding
%dir %{engine_java}
%doc LICENSE
%ghost %config(noreplace) %{engine_etc}/engine.conf
%{engine_data}/branding/ovirt.brand/
%{engine_etc}/branding/00-ovirt.brand
%{engine_etc}/engine.conf.d/
%{engine_java}/common.jar
%{engine_java}/compat.jar
%{engine_java}/utils.jar

#
# ATTENTION:
# Needed for compatibility if package is different
# than the directory structure
#
%if "%{name}" != "%{engine_name}"
%{_javadir}/%{name}
%endif

%if %{ovirt_install_poms}
%{_mavendepmapfragdir}/%{name}
%{_mavenpomdir}/JPP.%{name}-root.pom
%{_mavenpomdir}/JPP.%{name}-common.pom
%{_mavenpomdir}/JPP.%{name}-compat.pom
%{_mavenpomdir}/JPP.%{name}-utils.pom
%endif

# Branding
%{_sysconfdir}/%{name}

%files lib
%{engine_data}/bin/java-home
%{python_sitelib}/ovirt_engine/

%files backend

%attr(-, %{engine_user}, %{engine_group}) %{engine_log}/host-deploy
%attr(-, %{engine_user}, %{engine_group}) %{engine_state}/content
%attr(-, %{engine_user}, %{engine_group}) %{engine_state}/deployments
%config %{_sysconfdir}/logrotate.d/ovirt-engine
%config(noreplace) %{engine_etc}/sysprep
%dir %attr(-, %{engine_user}, %{engine_group}) %{engine_state}
%dir %{engine_data}/bin
%dir %{engine_data}/ui-plugins
%dir %{engine_ear}
%{engine_data}/conf/osinfo-defaults.properties
%{engine_data}/files/
%{engine_data}/manual/
%{engine_ear}/META-INF
%{engine_ear}/bll.jar
%{engine_ear}/lib
%{engine_ear}/root.war
%{engine_ear}/scheduler.jar
%{engine_etc}/osinfo.conf.d/
%{engine_java}/bll.jar
%{engine_java}/dal.jar
%{engine_java}/scheduler.jar
%{engine_java}/searchbackend.jar
%{engine_java}/vdsbroker.jar
%{engine_jboss_modules}/

%{engine_data}/services/ovirt-engine
%if %{ovirt_install_systemd}
%{_unitdir}/ovirt-engine.service
%endif
%if %{ovirt_install_systemv}
%{_initddir}/ovirt-engine
%endif

%if %{ovirt_install_poms}
%{_mavenpomdir}/JPP.%{name}-backend.pom
%{_mavenpomdir}/JPP.%{name}-manager.pom
%{_mavenpomdir}/JPP.%{name}-manager-modules.pom
%{_mavenpomdir}/JPP.%{name}-tools.pom
%{_mavenpomdir}/JPP.%{name}-bll.pom
%{_mavenpomdir}/JPP.%{name}-dal.pom
%{_mavenpomdir}/JPP.%{name}-scheduler.pom
%{_mavenpomdir}/JPP.%{name}-searchbackend.pom
%{_mavenpomdir}/JPP.%{name}-vdsbroker.pom
%endif

#
# PKI
#
# Most directories are owned by the engine user because
# it needs to create files inside
#
%config(noreplace) %{engine_pki}/cacert.template.in
%config(noreplace) %{engine_pki}/cert.template.in
%config(noreplace) %{engine_pki}/openssl.conf
%dir %attr(-, %{engine_user}, %{engine_group}) %{engine_pki}
%dir %attr(-, %{engine_user}, %{engine_group}) %{engine_pki}/certs
%dir %attr(-, %{engine_user}, %{engine_group}) %{engine_pki}/private
%dir %attr(-, %{engine_user}, %{engine_group}) %{engine_pki}/requests
%dir %{engine_pki}/keys
%{engine_data}/bin/pki-common.sh
%{engine_data}/bin/pki-create-ca.sh
%{engine_data}/bin/pki-enroll-pkcs12.sh
%{engine_data}/bin/pki-enroll-request.sh
%{engine_data}/bin/pki-pkcs12-extract.sh

# backward compatibly (pre-3.3.0)
# force rpm not to remove pki files
# as these used to be %config
%ghost %config(noreplace) %{engine_pki}/cacert.template
%ghost %config(noreplace) %{engine_pki}/cert.template
%ghost %config(noreplace) %{engine_pki}/database.txt
%ghost %config(noreplace) %{engine_pki}/serial.txt

%files setup

%config %{_sysconfdir}/logrotate.d/ovirt-engine-setup
%config %{_sysconfdir}/ovirt-engine-setup.conf.d/10-packaging.conf
%config %{_sysconfdir}/ovirt-engine-setup.conf.d/20-rhsc-packaging.conf
%dir %{engine_data}/firewalld
%dir %{engine_log}/setup
%{_bindir}/engine-backup
%{_bindir}/engine-cleanup
%{_bindir}/engine-setup
%{_bindir}/engine-upgrade-check
# fix bz#1017653
%if 0%{?_rhs_build}
%{_bindir}/%{name}-upgrade-check
%endif
%{_mandir}/man8/engine-cleanup.*
%{_mandir}/man8/engine-setup.*
%{engine_data}/bin/engine-backup.sh
%{engine_data}/bin/ovirt-engine-log-setup-event.sh
%{engine_data}/conf/iptables.default.in
%{engine_data}/conf/nfs.sysconfig.in
%{engine_data}/conf/ovirt-engine-proxy.conf.v2.in
%{engine_data}/conf/ovirt-engine-root-redirect.conf.in
%{engine_data}/firewalld/base/
%{engine_data}/setup/
%{engine_state}/backups/
%{engine_state}/setup/

# backward compatibility
%ghost %config(noreplace) %{_sysconfdir}/firewalld/services/ovirt.xml

# Legacy
# TODO: remove in 3.4
# fix bz#1017653
%if !0%{?_rhs_build}
%{_bindir}/engine-check-update
%{_bindir}/engine-upgrade
%{engine_data}/bin/engine-check-update.sh
%{engine_data}/bin/engine-upgrade.sh
%else
%exclude %{_bindir}/engine-check-update
%exclude %{_bindir}/engine-upgrade
%exclude %{engine_data}/bin/engine-check-update.sh
%exclude %{engine_data}/bin/engine-upgrade.sh
%endif

# Branding
%{_bindir}/%{name}-setup
%{_bindir}/%{name}-upgrade
%{_bindir}/%{name}-check-update
%{_bindir}/%{name}-cleanup
%{_mandir}/man8/%{name}-setup.*

%if !0%{?_rhs_build}
%files setup-plugin-allinone

%config %{_sysconfdir}/ovirt-engine-setup.conf.d/10-packaging-aio.conf
%config %{_sysconfdir}/ovirt-host-deploy.conf.d/10-packaging-aio.conf
%{engine_data}/firewalld/aio
%endif

%files dbscripts

%{engine_data}/dbscripts/

%files restapi

%{engine_java}/interface-common-jaxrs.jar
%{engine_java}/restapi-definition.jar
%{engine_java}/restapi-jaxrs.jar
%{engine_java}/restapi-types.jar
%{engine_restapi_war}/

%if %{ovirt_install_poms}
%{_mavenpomdir}/JPP.%{name}-interface-common-jaxrs.pom
%{_mavenpomdir}/JPP.%{name}-restapi-definition.pom
%{_mavenpomdir}/JPP.%{name}-restapi-jaxrs.pom
%{_mavenpomdir}/JPP.%{name}-restapi-parent.pom
%{_mavenpomdir}/JPP.%{name}-restapi-types.pom
%endif

%if !0%{?_rhs_build}
%files userportal

%config %{engine_etc}/usbfilter.txt
%{engine_ear}/userportal.war
%endif

%files webadmin-portal

%{engine_ear}/webadmin.war

%if !0%{?_rhs_build}
%files websocket-proxy

%{engine_data}/services/ovirt-websocket-proxy
%{engine_etc}/ovirt-websocket-proxy.conf.d/

%if %{ovirt_install_systemd}
%{_unitdir}/ovirt-websocket-proxy.service
%endif
%if %{ovirt_install_systemv}
%{_initddir}/ovirt-websocket-proxy
%endif
%endif

%files tools

%config %{_sysconfdir}/logrotate.d/ovirt-engine-notifier
%config %{engine_etc}/notifier/log4j.xml
%config(noreplace) %{engine_etc}/engine-config/engine-config.conf
%config(noreplace) %{engine_etc}/engine-manage-domains/engine-manage-domains.conf
%dir %attr(-, %{engine_user}, %{engine_group}) %{engine_log}/notifier
%dir %attr(-, %{engine_user}, %{engine_group}) %{engine_run}/notifier
%dir %{engine_etc}/engine-config
%dir %{engine_etc}/engine-manage-domains
%dir %{engine_etc}/notifier
%ghost %config(noreplace) %{engine_etc}/notifier/notifier.conf
%{_bindir}/engine-config
%{_bindir}/engine-manage-domains
%{_mandir}/man8/engine-config.*
%{_mandir}/man8/engine-manage-domains.*
%{engine_data}/bin/engine-config.sh
%{engine_data}/bin/engine-manage-domains.sh
%{engine_data}/bin/engine-prolog.sh
%{engine_data}/conf/jaas.conf
%{engine_data}/services/ovirt-engine-notifier
%{engine_etc}/engine-config/engine-config.*properties
%{engine_etc}/engine-config/log4j.xml
%{engine_etc}/engine-manage-domains/log4j.xml
%{engine_etc}/notifier/notifier.conf.d/
%{engine_java}/tools.jar

%if %{ovirt_install_poms}
%{_mavenpomdir}/JPP.%{name}-tools.pom
%endif

%if %{ovirt_install_systemd}
%{_unitdir}/ovirt-engine-notifier.service
%endif
%if %{ovirt_install_systemv}
%{_initddir}/ovirt-engine-notifier
%endif

# Branding
%{_bindir}/%{name}-config
%{_bindir}/%{name}-manage-domains
%{_mandir}/man8/%{name}-config.*
%{_mandir}/man8/%{name}-manage-domains.*

%changelog
* Tue Feb 4 2014 Sahina Bose <sabose@redhat.com> - 2.1.2
- Fixed async task monitoring bug BZ#1060138

* Tue Oct 22 2013 Sahina Bose <sabose@redhat.com> - 2.1.2
- Changed version to 2.1.2 for RHSC Corbett release

* Thu Jan 17 2013 Juan Hernandez <juan.hernandez@redhat.com> - 3.3.0-1
- Bump version to 3.3.0

* Fri Nov 02 2012 Juan Hernandez <juan.hernandez@redhat.com> - 3.2.0-1
- Bump version to 3.2.0

* Mon May 07 2012 Keith Robertson <kroberts@redhat.com> - 3.1.0-3
- Removed image uploader, iso uploader, and log collector from this
  git repo.  The are now in their own respective ovirt.org git
  repos. BZ#803240.

* Wed Apr 04 2012 Stephen Gordon <sgordon@redhat.com> - 3.1.0-2
- The ovirt-engine spec file did not previously contain a BuildRequires
  statement for the maven package. As a result in mock environments the
  build failed with an error when attempting to call the 'mvn' binary -
  BZ#807761.

* Wed Jan 04 2012 Ronen Angluste <ranglust@redhat.com> - 3.1.0-1
- Adjust code for Jboss AS 7.1

* Sun Dec 11 2011 Ronen Angluster <ranglust@redhat.com> - 3.1.0-1
- Moved all hard coded paths to macros

* Wed Oct 26 2011 Ronen Angluster <ranglust@redhat.com> - 3.1.0-1
- Initial build
- Cloned from RHEVM spec file
